## soundkonverter 3.0.1

=== src/CMakeLists.txt ===
project(soundkonverter)
cmake_minimum_required(VERSION 3.3.0)

set(CMAKE_CXX_STANDARD 11)

# show more warnings
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
# strict ISO C and ISO C++
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
# use c++11 standard
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
# implicit conversions
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wconversion")
# implicit conversions from signed to unsigned
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsign-conversion")

# hide deprecated declarations warnings
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

# kde libs
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

add_definitions(-DSOUNDKONVERTER_KF5_BUILD)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(CMakePackageConfigHelpers)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 REQUIRED COMPONENTS Network Core Widgets)
find_package(KF5 REQUIRED COMPONENTS I18n XmlGui KIO Solid Config ConfigWidgets WidgetsAddons KDELibs4Support)
find_package(KF5Cddb)
find_package(Phonon4Qt5 REQUIRED)


# additional libs
find_package(Cdparanoia REQUIRED)

set(TAGLIB_MIN_VERSION "1.10")
find_package(Taglib REQUIRED)


# plugins 
add_subdirectory(plugins)


# include directories
include_directories(${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})


# translation
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( po )


# soundkonvertercore
set(soundkonvertercore_SRCS
   core/backendplugin.cpp
   core/conversionoptions.cpp
   core/codecwidget.cpp
   core/codecplugin.cpp
   core/filterplugin.cpp
   core/replaygainplugin.cpp
   core/ripperplugin.cpp
)

add_library(soundkonvertercore SHARED ${soundkonvertercore_SRCS})
target_link_libraries(soundkonvertercore KF5::WidgetsAddons KF5::KIOFileWidgets KF5::KIOCore KF5::KDELibs4Support)

install(TARGETS soundkonvertercore DESTINATION ${LIB_INSTALL_DIR})


# soundkonverter
set(soundkonverter_SRCS
   configdialog/configdialog.cpp
   configdialog/configpagebase.cpp
   configdialog/configgeneralpage.cpp
   configdialog/configbackendspage.cpp
   configdialog/configadvancedpage.cpp
   configdialog/configcoverartpage.cpp
   metadata/tagengine.cpp
   metadata/MetaReplayGain.cpp
   opener/fileopener.cpp
   opener/diropener.cpp
   opener/cdopener.cpp
   opener/urlopener.cpp
   opener/playlistopener.cpp
   replaygainscanner/replaygainscanner.cpp
   replaygainscanner/replaygainfilelist.cpp
   replaygainscanner/replaygainfilelistitem.cpp
   replaygainscanner/replaygainprocessor.cpp
   global.cpp
   main.cpp
   soundkonverter.cpp
   soundkonverterapp.cpp
   soundkonverterview.cpp
   codecproblems.cpp
   codecoptimizations.cpp
   combobutton.cpp
   config.cpp
   conversionoptionsmanager.cpp
   convert.cpp
   convertitem.cpp
   filelist.cpp
   filelistitem.cpp
   logger.cpp
   logviewer.cpp
   options.cpp
   optionssimple.cpp
   optionsdetailed.cpp
   optionseditor.cpp
   optionslayer.cpp
   pluginloader.cpp
   progressindicator.cpp
   outputdirectory.cpp
   aboutplugins.cpp
)

add_executable(soundkonverter ${soundkonverter_SRCS})
target_link_libraries(soundkonverter KF5::WidgetsAddons KF5::KIOFileWidgets KF5::KIOCore KF5::Solid KF5::Cddb Phonon::phonon4qt5 ${TAGLIB_LIBRARIES} ${CDPARANOIA_LIBRARIES} KF5::KDELibs4Support soundkonvertercore)

install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})


# install directories
install(FILES soundkonverter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES soundkonverterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/soundkonverter)

install(FILES soundkonverter_codecplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_filterplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_replaygainplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_ripperplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter-rip-audiocd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

install(FILES soundkonverter.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)

add_subdirectory(icons)
add_subdirectory(images)


# summary
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-apps-soundkonverter.png
    22-apps-soundkonverter.png
    32-apps-soundkonverter.png
    48-apps-soundkonverter.png
    64-apps-soundkonverter.png
    16-apps-soundkonverter-replaygain.png
    22-apps-soundkonverter-replaygain.png
    32-apps-soundkonverter-replaygain.png
    48-apps-soundkonverter-replaygain.png
    64-apps-soundkonverter-replaygain.png
    DESTINATION ${ICON_INSTALL_DIR}
)

=== src/images/CMakeLists.txt ===
install( FILES nocover.png DESTINATION  ${DATA_INSTALL_DIR}/soundkonverter/images)

=== src/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME soundkonverter.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== src/plugins/soundkonverter_codec_aften/CMakeLists.txt ===
project(soundkonverter_codec_aften)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_aften_SRCS
   soundkonverter_codec_aften.cpp
   aftencodecwidget.cpp
)

add_library(soundkonverter_codec_aften MODULE ${soundkonverter_codec_aften_SRCS})
target_link_libraries(soundkonverter_codec_aften KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_aften DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_aften.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_faac/CMakeLists.txt ===
project(soundkonverter_codec_faac)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_faac_SRCS
   soundkonverter_codec_faac.cpp
   faaccodecwidget.cpp
)

add_library(soundkonverter_codec_faac MODULE ${soundkonverter_codec_faac_SRCS})
target_link_libraries(soundkonverter_codec_faac KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_faac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_faac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_ffmpeg/CMakeLists.txt ===
project(soundkonverter_codec_ffmpeg)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_ffmpeg_SRCS
   soundkonverter_codec_ffmpeg.cpp
   ffmpegcodecwidget.cpp
)

add_library(soundkonverter_codec_ffmpeg MODULE ${soundkonverter_codec_ffmpeg_SRCS})
target_link_libraries(soundkonverter_codec_ffmpeg KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_ffmpeg DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_ffmpeg.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_flac/CMakeLists.txt ===
project(soundkonverter_codec_flac)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_flac_SRCS
   soundkonverter_codec_flac.cpp
   flaccodecwidget.cpp
)

add_library(soundkonverter_codec_flac MODULE ${soundkonverter_codec_flac_SRCS})
target_link_libraries(soundkonverter_codec_flac KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_flac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_flake/CMakeLists.txt ===
project(soundkonverter_codec_flake)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_flake_SRCS
   soundkonverter_codec_flake.cpp
   flakecodecwidget.cpp
)

add_library(soundkonverter_codec_flake MODULE ${soundkonverter_codec_flake_SRCS})
target_link_libraries(soundkonverter_codec_flake KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_flake DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flake.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_fluidsynth/CMakeLists.txt ===
project(soundkonverter_codec_fluidsynth)

find_package(KF5 REQUIRED COMPONENTS KIO WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_fluidsynth_SRCS
   soundkonverter_codec_fluidsynth.cpp
   fluidsynthcodecwidget.cpp
)

add_library(soundkonverter_codec_fluidsynth MODULE ${soundkonverter_codec_fluidsynth_SRCS})
target_link_libraries(soundkonverter_codec_fluidsynth KF5::WidgetsAddons KF5::KIOCore Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_fluidsynth DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_fluidsynth.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_lame/CMakeLists.txt ===
project(soundkonverter_codec_lame)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_lame_SRCS
   soundkonverter_codec_lame.cpp
   lameconversionoptions.cpp
   lamecodecwidget.cpp
)

add_library(soundkonverter_codec_lame MODULE ${soundkonverter_codec_lame_SRCS})
target_link_libraries(soundkonverter_codec_lame KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_lame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_lame.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_codec_libav/CMakeLists.txt ===
project(soundkonverter_codec_libav)

find_package(KF5 REQUIRED COMPONENTS WidgetsAddons)
find_package(Qt5 REQUIRED COMPONENTS Xml)

set(soundkonverter_codec_libav_SRCS
   soundkonverter_codec_libav.cpp
   libavcodecwidget.cpp
)

add_library(soundkonverter_codec_libav MODULE ${soundkonverter_codec_libav_SRCS})
target_link_libraries(soundkonverter_codec_libav KF5::WidgetsAddons Qt5::Xml soundkonvertercore)

########### install files ###############

install(TARGETS soundkonverter_codec_libav DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_libav.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit 8589c87095466f0785902dea6367192bcd813eb3 to
    install the AppStream XML to /usr/share/metainfo instead of
    /usr/share/appdata; patch
    upstream_Install-appdata-in-usr-share-metainfo.patch.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the build dependencies according to the upstream build systems
    (and the applied patches):
    - bump cmake to 3.3.0
    - bump libtag1-dev to 1.10
  * Update control, watch, and upstream/metadata references to the actual
    upstream location: https://github.com/dfaust/soundkonverter

 -- Pino Toscano <pino@debian.org>  Fri, 22 Oct 2021 08:09:15 +0200

soundkonverter (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --parallel, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 3760bccb3aa1e15bd5ec67bc977717c55a95bc6e to fix
    the cmake search and use of taglib; patch
    upstream_FindTaglib.cmake-Update-local-copy-with-ECM-5.72.0-v.patch
    (Closes: #973221)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Nov 2020 11:42:25 +0100

soundkonverter (3.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879436)

  [ Pino Toscano ]
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #875187)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libkcddb-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5i18n-dev, libkf5kdelibs4support-dev,
      libkf5kio-dev, libkf5solid-dev, libkf5widgetsaddons-dev,
      libkf5xmlgui-dev, libkf5cddb-dev, and libphonon4qt5-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - soversion.diff: refresh
  * Remove trailing whitespaces in changelog.
  * Update lintian overrides.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:16:46 +0100

=== debian/control ===
Source: soundkonverter
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Michael Meskes <meskes@debian.org>,
Build-Depends: debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
 gettext,
 extra-cmake-modules,
 qtbase5-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5i18n-dev,
 libkf5kdelibs4support-dev,
 libkf5kio-dev,
 libkf5solid-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libkf5cddb-dev,
 libphonon4qt5-dev,
 libtag1-dev (>= 1.10~),
 libcdparanoia-dev,
 cmake (>= 3.3.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/dfaust/soundkonverter
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/soundkonverter.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/soundkonverter

Package: soundkonverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cdparanoia, faad, ffmpeg, flac,
 kio-audiocd, mp3gain, mplayer, mppenc, speex, timidity,
 vorbis-tools, vorbisgain, wavpack
Description: audio converter frontend for KDE
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 See README.Debian for more information on supported formats.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --sourcedirectory=src

execute_after_dh_auto_install:
	find debian/soundkonverter -name '*.so' -type l -delete

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/soundkonverter-$1\.tar\.gz/ \
  https://github.com/dfaust/soundkonverter/tags .*/v?(\d\S*)\.tar\.gz
